Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.input
Class MouseRobotDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.input.RobotDriver
                  |
                  +--org.netbeans.jemmy.drivers.input.MouseRobotDriver

All Implemented Interfaces:
  LightDriver, MouseDriver

public class MouseRobotDriver
extends RobotDriver
implements MouseDriver

MouseDriver using robot operations.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Fields inherited from class org.netbeans.jemmy.drivers.input.RobotDriver
`qtool, robotReference`

Constructor Summary
`MouseRobotDriver(Timeout autoDelay)` Constructs a MouseRobotDriver object.
`MouseRobotDriver(Timeout autoDelay, java.lang.String[] supported)` Constructs a MouseRobotDriver object.

Method Summary
`void` | `clickMouse(ComponentOperator oper, int x, int y, int clickCount, int mouseButton, int modifiers, Timeout mouseClick)` Clicks mouse.
`void` | `dragMouse(ComponentOperator oper, int x, int y, int mouseButton, int modifiers)` Drags mouse.
`void` | `dragNDrop(ComponentOperator oper, int start_x, int start_y, int end_x, int end_y, int mouseButton, int modifiers, Timeout before, Timeout after)` Performs drag'n'drop.
`void` | `enterMouse(ComponentOperator oper)` Moves mouse inside a component.
`void` | `exitMouse(ComponentOperator oper)` Moves mouse outside a component.
`protected int` | `getAbsoluteX(ComponentOperator oper, int x)` Returns absolute x coordinate for relative x coordinate.
`protected int` | `getAbsoluteY(ComponentOperator oper, int y)` Returns absolute y coordinate for relative y coordinate.
`void` | `moveMouse(ComponentOperator oper, int x, int y)` Moves mouse.
`void` | `pressMouse(ComponentOperator oper, int x, int y, int mouseButton, int modifiers)` Presses mouse.
`void` | `releaseMouse(ComponentOperator oper, int x, int y, int mouseButton, int modifiers)` Releases mouse.

Methods inherited from class org.netbeans.jemmy.drivers.input.RobotDriver
`makeAnOperation, pressKey, pressModifiers, releaseKey, releaseModifiers, synchronizeRobot`

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseRobotDriver

    public MouseRobotDriver(Timeout autoDelay)

  Constructs a MouseRobotDriver object.
  Parameters:
    `autoDelay` - Time for `Robot.setAutoDelay(long)` method.

### MouseRobotDriver

    public MouseRobotDriver(Timeout autoDelay,
                            java.lang.String[] supported)

  Constructs a MouseRobotDriver object.
  Parameters:
    `autoDelay` - Time for `Robot.setAutoDelay(long)` method.
    `supported` - an array of supported class names

Method Detail

### pressMouse

    public void pressMouse(ComponentOperator oper,
                           int x,
                           int y,
                           int mouseButton,
                           int modifiers)

  Description copied from interface: `MouseDriver`
  Presses mouse.
  Specified by:
    `pressMouse` in interface `MouseDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MouseDriver`
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### releaseMouse

    public void releaseMouse(ComponentOperator oper,
                             int x,
                             int y,
                             int mouseButton,
                             int modifiers)

  Description copied from interface: `MouseDriver`
  Releases mouse.
  Specified by:
    `releaseMouse` in interface `MouseDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MouseDriver`
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### moveMouse

    public void moveMouse(ComponentOperator oper,
                          int x,
                          int y)

  Description copied from interface: `MouseDriver`
  Moves mouse.
  Specified by:
    `moveMouse` in interface `MouseDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MouseDriver`
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.

### clickMouse

    public void clickMouse(ComponentOperator oper,
                           int x,
                           int y,
                           int clickCount,
                           int mouseButton,
                           int modifiers,
                           Timeout mouseClick)

  Description copied from interface: `MouseDriver`
  Clicks mouse.
  Specified by:
    `clickMouse` in interface `MouseDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MouseDriver`
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.
    `clickCount` - How many times to click.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `mouseClick` - Time between pressing and releasing mouse.

### dragMouse

    public void dragMouse(ComponentOperator oper,
                          int x,
                          int y,
                          int mouseButton,
                          int modifiers)

  Description copied from interface: `MouseDriver`
  Drags mouse.
  Specified by:
    `dragMouse` in interface `MouseDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MouseDriver`
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### dragNDrop

    public void dragNDrop(ComponentOperator oper,
                          int start_x,
                          int start_y,
                          int end_x,
                          int end_y,
                          int mouseButton,
                          int modifiers,
                          Timeout before,
                          Timeout after)

  Description copied from interface: `MouseDriver`
  Performs drag'n'drop.
  Specified by:
    `dragNDrop` in interface `MouseDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MouseDriver`
  Parameters:
    `oper` - Component operator.
    `start_x` - Relative x coordinate of start point.
    `start_y` - Relative y coordinate of start point.
    `end_x` - Relative x coordinate of end point.
    `end_y` - Relative y coordinate of end point.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `before` - Time to sleep after taking (before dragging)
    `after` - Time to sleep before dropping (after dragging)

### enterMouse

    public void enterMouse(ComponentOperator oper)

  Description copied from interface: `MouseDriver`
  Moves mouse inside a component.
  Specified by:
    `enterMouse` in interface `MouseDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MouseDriver`
  Parameters:
    `oper` - Component operator.

### exitMouse

    public void exitMouse(ComponentOperator oper)

  Description copied from interface: `MouseDriver`
  Moves mouse outside a component.
  Specified by:
    `exitMouse` in interface `MouseDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MouseDriver`
  Parameters:
    `oper` - Component operator.

### getAbsoluteX

    protected int getAbsoluteX(ComponentOperator oper,
                               int x)

  Returns absolute x coordinate for relative x coordinate.
  Parameters:
    `oper` - an operator
    `x` - a relative x coordinate.
  Returns:
    an absolute x coordinate.

### getAbsoluteY

    protected int getAbsoluteY(ComponentOperator oper,
                               int y)

  Returns absolute y coordinate for relative y coordinate.
  Parameters:
    `oper` - an operator
    `y` - a relative y coordinate.
  Returns:
    an absolute y coordinate.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD